Bug 1963267 - Warning: Invalid DOM property `classname`. Did you mean `className`? console warnings in volumes table
Summary: Warning: Invalid DOM property `classname`. Did you mean `className`? console ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-21 21:11 UTC by Joe Caiani
Modified: 2021-07-27 23:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9007 0 None open Bug 1963267: Fix console warnings about classnames when rendering volumes table 2021-05-25 17:03:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:10:03 UTC

Description Joe Caiani 2021-05-21 21:11:33 UTC
Description of problem:
Warning: Invalid DOM property `classname`. Did you mean `className`? warning messages in the console when rendering the volumes table

Version-Release number of selected component (if applicable):
4.8

How reproducible:
always

Steps to Reproduce:
1. navigate to stateful sets or resource that displays volumes
2. open console and note warnings
3.

Actual results:


Expected results:


Additional info:

Comment 2 Yadan Pei 2021-05-27 05:50:51 UTC
Navigate to StatefulSets, Deployments details page which has Volumes table, open browser developer tools and check. No ```Invalid DOM property `classname`. Did you mean `className`? ``` warnings in browser console

Verified on 4.8.0-0.nightly-2021-05-26-172234

Comment 5 errata-xmlrpc 2021-07-27 23:09:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.